curl --request GET \
--url https://api.partoo.co/v2/business/{business_id}/subscription \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/business/{business_id}/subscription"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/business/{business_id}/subscription', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"presence_management": {
"status": "inactive",
"canceling_date": 123
},
"review_management": {
"status": "inactive",
"canceling_date": 123
},
"review_booster": {
"status": "inactive",
"canceling_date": 123
},
"messages": {
"status": "inactive",
"canceling_date": 123
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Subscriptions for your business
/business/{business_id}/plans instead. ⚠️
This endpoint lets you access the subscription of a business.
You need to have READ access on this business.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Business id.
It may be replaced by c-{code} where code is the store code, which should be unique per organization. This can be used only for ORG_ADMIN, GROUP_MANAGER and BUSINESS_MANAGER users.
Response
OK
Business subscriptions
The details on the product subscription
Show child attributes
Show child attributes
The details on the product subscription
Show child attributes
Show child attributes
The details on the product subscription
Show child attributes
Show child attributes
The details on the product subscription
Show child attributes
Show child attributes
Was this page helpful?